Create collection

POST
/beta/knowledge/collections

Create a knowledge collection

Authorization

ApiKeyAuth knowledge.collections:w
headerAuthorization<token>

Scope: knowledge.collections:w

Request Body

The knowledge collection to create

application/json
  1. body
title*string

Title of the collection

description?string

Description of the collection

internalKbEnabled?boolean

Whether the collection is available to browse in the internal knowledge base. Defaults to true

Response Body

The created knowledge collection

application/json
  1. response
data*

The created collection

curl -X POST 'https://dev.dixa.io/beta/knowledge/collections' \  -H 'Authorization: <API token>' \  -H 'Content-Type: application/json' \  -d '{  "title": "Test Collection",  "description": "This is a test collection",  "internalKbEnabled": true}'
{
"data": {
"id": "78dfb531-2e1e-4ffc-bd18-fdad68cd2419",
"title": "Test Collection",
"description": "This is a test collection",
"internalKbEnabled": true,
"restrictions": {
"isRestricted": true,
"inheritedRestrictions": [
{
"fromCollection": "78dfb531-2e1e-4ffc-bd18-fdad68cd2419"
}
]
}
}
}